Debian Bug report logs - #579287
heirloom-mailx: Please get rid of messages like "update-alternatives: error: no alternatives for mailx." when installing

version graph

Package: heirloom-mailx; Maintainer for heirloom-mailx is Hilko Bengen <bengen@debian.org>; Source for heirloom-mailx is src:heirloom-mailx.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Mon, 26 Apr 2010 19:33:01 UTC

Severity: normal

Found in version heirloom-mailx/12.4-1.1

Fixed in version heirloom-mailx/12.4-2

Done: Hilko Bengen <bengen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#579287; Package heirloom-mailx. (Mon, 26 Apr 2010 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Hilko Bengen <bengen@debian.org>. (Mon, 26 Apr 2010 19:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: heirloom-mailx: Please get rid of messages like "update-alternatives: error: no alternatives for mailx." when installing
Date: Mon, 26 Apr 2010 21:29:15 +0200
Package:  heirloom-mailx
Version:  12.4-1.1+b1
User:     debian-edu@lists.debian.org
UserTags: debian-edu

When installing heirloom-mailx in a fresh squeeze chroot, three errors
are printed:

  Setting up heirloom-mailx (12.4-1.1+b1) ...
  update-alternatives: error: no alternatives for mailx.
  update-alternatives: using /usr/bin/heirloom-mailx to provide
    /usr/bin/mailx (mailx) in auto mode.

I'm not quite sure what the problem is, nor how to fix it, but please
get rid of these errors.  It messes up the automatic installation
testing in Debian Edu, where we look for error: in the installation
syslog to verify that the installation was successful.  :)

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Hilko Bengen <bengen@debian.org>:
You have taken responsibility. (Fri, 28 May 2010 21:42:03 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Fri, 28 May 2010 21:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 579287-close@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: 579287-close@bugs.debian.org
Subject: Bug#579287: fixed in heirloom-mailx 12.4-2
Date: Fri, 28 May 2010 21:38:52 +0000
Source: heirloom-mailx
Source-Version: 12.4-2

We believe that the bug you reported is fixed in the latest version of
heirloom-mailx, which is due to be installed in the Debian FTP archive:

heirloom-mailx_12.4-2.diff.gz
  to main/h/heirloom-mailx/heirloom-mailx_12.4-2.diff.gz
heirloom-mailx_12.4-2.dsc
  to main/h/heirloom-mailx/heirloom-mailx_12.4-2.dsc
heirloom-mailx_12.4-2_amd64.deb
  to main/h/heirloom-mailx/heirloom-mailx_12.4-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579287@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hilko Bengen <bengen@debian.org> (supplier of updated heirloom-mailx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 28 May 2010 23:09:44 +0200
Source: heirloom-mailx
Binary: heirloom-mailx
Architecture: source amd64
Version: 12.4-2
Distribution: unstable
Urgency: low
Maintainer: Hilko Bengen <bengen@debian.org>
Changed-By: Hilko Bengen <bengen@debian.org>
Description: 
 heirloom-mailx - feature-rich BSD mail(1)
Closes: 579287
Changes: 
 heirloom-mailx (12.4-2) unstable; urgency=low
 .
   * Got rid of the "nail" binary package
   * postinst: removed unnecessary check around update-alternatives(8) that
     gave a bogus error message on new installs. Thanks to Petter
     Reinholdtsen for spotting this. Closes: #579287
   * package maintenance: bumped debhelper compat level, Standards-Version
Checksums-Sha1: 
 5ab0fd0c47abe72c17e01f90e212d059e3ce2e4f 1079 heirloom-mailx_12.4-2.dsc
 e35c5f977d6736328f43c2c183d58dc85db9e488 6368 heirloom-mailx_12.4-2.diff.gz
 c862c973f29d97cce267166115f8ddf6ec76867a 319138 heirloom-mailx_12.4-2_amd64.deb
Checksums-Sha256: 
 25eafc99a9d213248a61791130a0b8b58186594358dfb67c189950fd11b61c5e 1079 heirloom-mailx_12.4-2.dsc
 b15fac77973b7d787469e51bbbeae7ddbe922b02a0c23208b9779ce837eba861 6368 heirloom-mailx_12.4-2.diff.gz
 e91410afee04e51cbb0ca8ded8d3d8b0f9bc9afea348381dd9213706d75f4cfa 319138 heirloom-mailx_12.4-2_amd64.deb
Files: 
 1e1d02b236b4eede524c4b9f615bb07a 1079 mail optional heirloom-mailx_12.4-2.dsc
 3233d1a85fcb4dcde689132a1bba7fc9 6368 mail optional heirloom-mailx_12.4-2.diff.gz
 08dfc5cf403569b520ae6d273b122c4f 319138 mail optional heirloom-mailx_12.4-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwAMaQACgkQUCgnLz/SlGgRNwCfSYD0c1S/GoztZ7x2MHA4nSRn
gIoAoO77beapsdw7UTSK67Rok2If9vo3
=Gaa6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Jul 2010 07:35:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:37:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.